Subject: bug#30902: 25.2; dired: image compression (png → jpg/jpeg)

From: Michael 2 <[email-masked]>
Date: Wed, 21 Mar 2018 23:02:25 +0000

Hello lovely Gods,

I praise to you because i want the variable:
`dired-compress-files-alist' as a custom variable.

Whololololo...

I want to add my own compression-expressions. At the moment it is a
normal global variable (defvar). And can't be accesed with M-x
customize-variable.  My suggestion for compressing png-images would
be:

      `'(("\\.png\\.jpg\\'" . "convert %i %o"))'

Here the shell-command `convert' is the one of ImageMagick.
(http://www.imagemagick.org/script/license.php) I'm working with
ubuntu 17.10.

Oh holy gods, please make me dreams come true.

Best regardes,
Michael